I have eight Web sites configured for use with Microsoft FrontPage Server Extensions on a Windows 2000 server. Administering the sites used to work smoothly, but now when I try to administer the sites, I get an error saying that the Admin application is too old for the Server extensions. I once had to insert the original Win2K installation disk for a moment to resolve another problem. Could that action have caused an old file to replace an updated one?

I've seen this error when trying to use an earlier version of FrontPage Server Extensions. You didn't mention which FrontPage Server Extensions version is installed on your server, but if it's FrontPage 2000 Server Extensions, try installing Service Release 1.3 (SR1.3), which is available at http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dnservext/html/winfpse.asp. Although SR1.3 doesn't have a fix that specifically addresses your problem, updating the FrontPage Server Extensions addresses your concern that an old file might have replaced a newer one. Upgrading has little downside because you're using the extensions already and you won't be reapplying anything as large as Win2K Service Pack 2 (SP2), for example. Note that Win2K Security Rollup Package 1 (SRP1) at http://www.microsoft.com/technet/treeview/default.asp?url=/technet/security/news/w2ksrp1.asp automatically applies the SR1.3 update. I've also heard some reports of the problem you mention appearing when both FrontPage Server Extensions 2002 and FrontPage 2000 Server Extensions are on the same machine.